Package com.google.protobuf

## Enum DescriptorProtos.FileOptions.OptimizeMode

- java.lang.Object
- - java.lang.Enum<DescriptorProtos.FileOptions.OptimizeMode>
  - - com.google.protobuf.DescriptorProtos.FileOptions.OptimizeMode

All Implemented Interfaces:
  `Internal.EnumLite`, `ProtocolMessageEnum`, `java.io.Serializable`, `java.lang.Comparable<DescriptorProtos.FileOptions.OptimizeMode>`

Enclosing class:
  DescriptorProtos.FileOptions

    public static enum DescriptorProtos.FileOptions.OptimizeMode
    extends java.lang.Enum<DescriptorProtos.FileOptions.OptimizeMode>
    implements ProtocolMessageEnum

Protobuf enum `google.protobuf.FileOptions.OptimizeMode`

     Generated classes can be optimized for speed or code size.

### Enum Constant Summary

Enum Constants
`CODE_SIZE` `CODE_SIZE = 2;`
`LITE_RUNTIME` `LITE_RUNTIME = 3;`
`SPEED` `SPEED = 1;`

### Field Summary

Fields
`static int` `CODE_SIZE_VALUE` `CODE_SIZE = 2;`
`static int` `LITE_RUNTIME_VALUE` `LITE_RUNTIME = 3;`
`static int` `SPEED_VALUE` `SPEED = 1;`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Descriptors.EnumDescriptor` `getDescriptor()`
`Descriptors.EnumDescriptor` `getDescriptorForType()` Return the enum type's descriptor, which contains information about each defined value, etc.
`int` `getNumber()` Return the value's numeric value as defined in the .proto file.
`Descriptors.EnumValueDescriptor` `getValueDescriptor()` Return the value's descriptor, which contains information such as value name, number, and type.
`static Internal.EnumLiteMap<DescriptorProtos.FileOptions.OptimizeMode>` `internalGetValueMap()`
`static DescriptorProtos.FileOptions.OptimizeMode` `valueOf​(int value)` Returns the enum constant of this type with the specified name.
`static DescriptorProtos.FileOptions.OptimizeMode` `valueOf​(Descriptors.EnumValueDescriptor desc)` Returns the enum constant of this type with the specified name.
`static DescriptorProtos.FileOptions.OptimizeMode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DescriptorProtos.FileOptions.OptimizeMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SPEED

    public static final DescriptorProtos.FileOptions.OptimizeMode SPEED

`SPEED = 1;`

     Generate complete code for parsing, serialization,

#### CODE_SIZE

    public static final DescriptorProtos.FileOptions.OptimizeMode CODE_SIZE

`CODE_SIZE = 2;`

     etc.

#### LITE_RUNTIME

    public static final DescriptorProtos.FileOptions.OptimizeMode LITE_RUNTIME

`LITE_RUNTIME = 3;`

     Generate code using MessageLite and the lite runtime.

### Field Detail

#### SPEED_VALUE

    public static final int SPEED_VALUE

`SPEED = 1;`

     Generate complete code for parsing, serialization,

See Also:
  Constant Field Values

#### CODE_SIZE_VALUE

    public static final int CODE_SIZE_VALUE

`CODE_SIZE = 2;`

     etc.

See Also:
  Constant Field Values

#### LITE_RUNTIME_VALUE

    public static final int LITE_RUNTIME_VALUE

`LITE_RUNTIME = 3;`

     Generate code using MessageLite and the lite runtime.

See Also:
  Constant Field Values

### Method Detail

#### values

    public static DescriptorProtos.FileOptions.OptimizeMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DescriptorProtos.FileOptions.OptimizeMode c : DescriptorProtos.FileOptions.OptimizeMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DescriptorProtos.FileOptions.OptimizeMode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Description copied from interface: `ProtocolMessageEnum`
Return the value's numeric value as defined in the .proto file.

Specified by:
  `getNumber` in interface `Internal.EnumLite`
Specified by:
  `getNumber` in interface `ProtocolMessageEnum`

#### valueOf

    public static DescriptorProtos.FileOptions.OptimizeMode valueOf​(int value)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### internalGetValueMap

    public static Internal.EnumLiteMap<DescriptorProtos.FileOptions.OptimizeMode> internalGetValueMap()

#### getValueDescriptor

    public final Descriptors.EnumValueDescriptor getValueDescriptor()

Description copied from interface: `ProtocolMessageEnum`
Return the value's descriptor, which contains information such as value name, number, and type.

Specified by:
  `getValueDescriptor` in interface `ProtocolMessageEnum`

#### getDescriptorForType

    public final Descriptors.EnumDescriptor getDescriptorForType()

Description copied from interface: `ProtocolMessageEnum`
Return the enum type's descriptor, which contains information about each defined value, etc.

Specified by:
  `getDescriptorForType` in interface `ProtocolMessageEnum`

#### getDescriptor

    public static final Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static DescriptorProtos.FileOptions.OptimizeMode valueOf​(Descriptors.EnumValueDescriptor desc)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null